﻿Imports System.ComponentModel

Imports System.IO
Imports System.Net
Imports System.Net.Mail
Imports System.Configuration

Public Class Form1
    Private Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        Dim host As String = ConfigurationManager.AppSettings("Host")
        Dim port As Integer = Convert.ToInt32(ConfigurationManager.AppSettings("port"))
        Dim enableSsl As Boolean = Convert.ToBoolean(ConfigurationManager.AppSettings("EnableSsl"))
        Dim defaultCredentials As Boolean = Convert.ToBoolean(ConfigurationManager.AppSettings("DefaultCredentials"))

        Using mm As New MailMessage(txtEmail.Text, txtTo.Text)
            mm.Subject = txtSubject.Text
            mm.Body = txtBody.Text
            If Not String.IsNullOrEmpty(openFileDialog1.FileName) Then
                mm.Attachments.Add(New Attachment(openFileDialog1.FileName))
            End If
            mm.IsBodyHtml = False
            Using smtp As SmtpClient = New SmtpClient()
                smtp.Host = host
                smtp.EnableSsl = enableSsl
                Dim networkCred As NetworkCredential = New NetworkCredential(txtEmail.Text, txtPassword.Text)
                smtp.UseDefaultCredentials = defaultCredentials
                smtp.Credentials = networkCred
                smtp.Port = port
                smtp.Send(mm)
                MessageBox.Show("Email sent.", "Message")
            End Using
        End Using
    End Sub

    Private Sub lnkAttachment_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles lnkAttachment.LinkClicked
        openFileDialog1.ShowDialog()
    End Sub

    Private Sub openFileDialog1_FileOk(sender As Object, e As CancelEventArgs) Handles openFileDialog1.FileOk
        Dim filePath As String = openFileDialog1.FileName
        If File.Exists(filePath) Then
            Dim fileName As String = Path.GetFileName(filePath)
            lblAttachment.Text = fileName
        End If
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub
End Class
